function  [stage_grid]= calcRegionalSectors(stage_grid, sectors_pre)


centroids_prev = [sectors_pre.Centroid]';
centroids_prev = reshape(centroids_prev, 2, length(centroids_prev)/2);

[density.prev] = calcRegionalSectorNumbers(stage_grid.tri_info.T, stage_grid.tri_info.pts, stage_grid.region_tri_ind, centroids_prev);


stage_grid.density = density;
return
